%define apiver 1.0

Name:           nux
Version:        1.16.0
Release:        2%{?dist}
Summary:        Visual rendering toolkit for real-time applications

Group:          User Interface/X
License:        LGPLv2 or LGPLv3
URL:            https://launchpad.net/nux
Source0:        http://launchpad.net/nux/%{apiver}/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:  glib2-devel >= 2.25.14
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  libpng-devel >= 1.2.44
BuildRequires:  cairo-devel >= 1.9.14
BuildRequires:  libsigc++20-devel
BuildRequires:  glew-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  pango-devel
BuildRequires:  pcre-devel
BuildRequires:  pciutils-devel
BuildRequires:  doxygen
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  boost-devel

%description
Nux is a graphical user interface toolkit for applications that mixes OpenGL
hardware acceleration with high quality visual rendering.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name}

%package devel-docs
Summary:        Developer documentation for %{name}
Requires:       %{name}-devel = %{version}-%{release}
License:        LGPLv2 or LGPLv3 and GPLv3

%description devel-docs
Developer documentation for %{name}

%prep
%setup -q
find . \( -name '*.cpp' -o -name '*.h' \) -exec chmod -x '{}' \;


%build
%configure \
            --enable-documentation=yes \
            --enable-examples=yes
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT \( -name '*.la' -o -size 0 \) -delete

#Install doc
mkdir $RPM_BUILD_ROOT%{_datadir}/%{name}/html
cp -pr doc/* $RPM_BUILD_ROOT%{_datadir}/%{name}/html

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING COPYING.gpl AUTHORS
%{_libdir}/libnux-%{apiver}.so.*
%{_libdir}/libnux-core-%{apiver}.so.*
%{_libdir}/libnux-graphics-%{apiver}.so.*
%{_libdir}/libnux-image-%{apiver}.so.*
%{_libexecdir}/unity_support_test
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{apiver}

%files devel
%{_includedir}/Nux-%{apiver}
%{_libdir}/libnux-%{apiver}.so
%{_libdir}/libnux-core-%{apiver}.so
%{_libdir}/libnux-graphics-%{apiver}.so
%{_libdir}/libnux-image-%{apiver}.so
%{_libdir}/pkgconfig/nux-%{apiver}.pc
%{_libdir}/pkgconfig/nux-core-%{apiver}.pc
%{_libdir}/pkgconfig/nux-graphics-%{apiver}.pc
%{_libdir}/pkgconfig/nux-image-%{apiver}.pc

%files devel-docs
%{_datadir}/%{name}/gputests
%{_datadir}/%{name}/html

%changelog
* Fri Nov 25 2011 Jens Petersen <petersen@redhat.com> - 1.16.0-2
- fix rpath warnings
- re-instate fix for source file permissions
- add GPL3 to devel-docs

* Fri Nov 25 2011 Jens Petersen <petersen@redhat.com> - 1.16.0-1
- update to 1.16.0 (api version 1.0)
- new deps gtest-devel, gmock-devel, libXinerama-devel, libXcomposite-devel,
  and boost-devel

* Mon May 09 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.9.48-1
- Initial Fedora package
